<?php
// mp3 Player plugin
// ionutvmi
// 1 Mar 2012



if(!defined("MAI_PREFIX"))
	die("You can't access this file directly !");

$plugins->add_hook("file","mp3player_add");	
	

	
function mp3player_info(){ 
    /** 
    * Array containing info about your plugin 
    * name - plugin name witch will be displayed in Manager 
    * author - author name(s) 
    * author_site - author site if you don't have keep it blank 
    * description - a very small description about this plugin 
    */ 
    return    array(     
    "name" => "MP3 Player Plugin", 
    "author" => "ionutvmi", 
    "author_site" => "http://master-land.net", 
    "description" => "this will show an mp3 player in your files details page", 
    ); 
} 	

function mp3player_add($v = ''){
	
	global $download,$set,$ext;
	if($ext->extension == 'mp3')
		$download = '<div class="content"><object type="application/x-shockwave-flash" data="'.$set->url.'/plugins/player_mp3_maxi.swf" width="200" height="20">
		<param name="wmode" value="transparent" />
		<param name="movie" value="'.$set->url.'/plugins/player_mp3_maxi.swf" />
		<param name="FlashVars" value="mp3=?download&showstop=1&showinfo=1&showvolume=1" />
		<p>Texte alternatif</p>
		</object></div>'.$download;
	
	
	return $v;
}